POST api/Orders/PlaceOrder

Request Information

URI Parameters

None.

Body Parameters

OrderPlacedWithBucks
NameDescriptionTypeAdditional information
ShoppingCartId

integer

None.

AddressId

integer

None.

PaymentMethods

Collection of ShoppingCardPaymentInfo

None.

Request Formats

application/json, text/json

Sample:
{
  "shoppingCartId": 1,
  "addressId": 2,
  "paymentMethods": [
    {
      "type": "sample string 1",
      "isPrimary": true,
      "amount": 3.0
    },
    {
      "type": "sample string 1",
      "isPrimary": true,
      "amount": 3.0
    }
  ]
}

application/xml, text/xml

Sample:
<OrderOrchestrator.OrderPlacedWithBucks xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators">
  <AddressId>2</AddressId>
  <PaymentMethods xmlns:d2p1="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
    <d2p1:ShoppingCardPaymentInfo>
      <d2p1:Amount>3</d2p1:Amount>
      <d2p1:Type>sample string 1</d2p1:Type>
      <d2p1:isPrimary>true</d2p1:isPrimary>
    </d2p1:ShoppingCardPaymentInfo>
    <d2p1:ShoppingCardPaymentInfo>
      <d2p1:Amount>3</d2p1:Amount>
      <d2p1:Type>sample string 1</d2p1:Type>
      <d2p1:isPrimary>true</d2p1:isPrimary>
    </d2p1:ShoppingCardPaymentInfo>
  </PaymentMethods>
  <ShoppingCartId>1</ShoppingCartId>
</OrderOrchestrator.OrderPlacedWithBucks>

multipart/form-data

Sample:
<OrderOrchestrator.OrderPlacedWithBucks xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators"><AddressId>2</AddressId><PaymentMethods xmlns:d2p1="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><d2p1:ShoppingCardPaymentInfo><d2p1:Amount>3</d2p1:Amount><d2p1:Type>sample string 1</d2p1:Type><d2p1:isPrimary>true</d2p1:isPrimary></d2p1:ShoppingCardPaymentInfo><d2p1:ShoppingCardPaymentInfo><d2p1:Amount>3</d2p1:Amount><d2p1:Type>sample string 1</d2p1:Type><d2p1:isPrimary>true</d2p1:isPrimary></d2p1:ShoppingCardPaymentInfo></PaymentMethods><ShoppingCartId>1</ShoppingCartId></OrderOrchestrator.OrderPlacedWithBucks>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.